Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.tree.event
Class TreeLoaderListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.tree.event.TreeLoaderListenerAdapter

All Implemented Interfaces:
  TreeLoaderListener

    public class TreeLoaderListenerAdapter

extends java.lang.Object
implements TreeLoaderListener

Constructor Summary
`TreeLoaderListenerAdapter()`

Method Summary
`boolean` | `doBeforeLoad(TreeLoader self, TreeNode node)` Fires before a network request is made to retrieve the Json text which specifies a node's children.
`void` | `onLoad(TreeLoader self, TreeNode node, java.lang.String response)` Fires when the node has been successfuly loaded.
`void` | `onLoadException(TreeLoader self, TreeNode node, java.lang.String response)` Fires if the network request failed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeLoaderListenerAdapter

    public TreeLoaderListenerAdapter()

Method Detail

### doBeforeLoad

    public boolean doBeforeLoad(TreeLoader self,
                                TreeNode node)

  Description copied from interface: `TreeLoaderListener`
  Fires before a network request is made to retrieve the Json text which specifies a node's children.

  Specified by:
    `doBeforeLoad` in interface `TreeLoaderListener`
  Parameters:
    `self` - this
    `node` - the node
  Returns:
    false to cancel

### onLoad

    public void onLoad(TreeLoader self,
                       TreeNode node,
                       java.lang.String response)

  Description copied from interface: `TreeLoaderListener`
  Fires when the node has been successfuly loaded.

  Specified by:
    `onLoad` in interface `TreeLoaderListener`
  Parameters:
    `self` - this
    `node` - the node
    `response` - the response text containing the data from the server

### onLoadException

    public void onLoadException(TreeLoader self,
                                TreeNode node,
                                java.lang.String response)

  Description copied from interface: `TreeLoaderListener`
  Fires if the network request failed.

  Specified by:
    `onLoadException` in interface `TreeLoaderListener`
  Parameters:
    `self` - this
    `node` - the node
    `response` - the response containing the data from the server

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD